package com.bb.dao;

import java.util.HashMap;
import java.util.List;

import com.bb.model.BanGameSearch;
import com.bb.model.CmnSearch;

public interface CommonDao {

	List<HashMap<String, String>> getGameCategoryList();

	List<HashMap<String, Object>> getGameVendorList(CmnSearch search);

	List<HashMap<String, Object>> getBanGameList(BanGameSearch search);

	int insertBanGameInfo(HashMap<String, Object> item);

	int insertNexusGameInfo(HashMap<String, Object> item);

	HashMap getVendorApiInfo(CmnSearch search);

}
